#!/bin/bash

export SCRIPTPATH=$(readlink -e $0)
export SCRIPTDIR=$(dirname ${SCRIPTPATH})
export SCRIPTNAME=$(basename ${SCRIPTPATH})
export SCRIPTNAME=${SCRIPTNAME%".sh"}

BURN="sudo ${SCRIPTDIR}/bin/qbusb"
BRN=${SCRIPTDIR}/../brn

pause() {
	read -n1 -r -p "Нажмите любую клавишу для продолжения... " key
	echo
}

step() {
	echo -e "\n$1\n"
}

mesg() {
	echo -e "$1\n"
}

burn() {
	file=$1
	if [ ! -f $1 ]; then
		echo -e "Файл ${file} не найден!\n"
		exit 1
	fi
	
	${BURN} $file
}

step "Шаг 1. Отключите устройство от силовой розетки. Нажмите кнопку ВКЛ., удерживая её, подключите устройство к силовой розетке."
pause
mesg "Ожидайте в течении 7 секунд..."
burn ${BRN}/00btl.brn

step "Шаг 2. Отключите устройство от силовой розетки и подключите снова. Нажмите кнопку ВКЛ. и удерживайте в течении 5 секунд."
pause
mesg "Ожидайте в течении 5 минут..."
burn ${BRN}/01cln.brn
burn ${BRN}/00btl.brn

step "Шаг 3. Отключите устройство от силовой розетки и подключите снова. Нажмите кнопку ВКЛ. и удерживайте в течении 5 секунд."
pause
mesg "Ожидайте в течении 10 минут..."
burn ${BRN}/02rfs.brn
burn ${BRN}/03app.brn
burn ${BRN}/04sts.brn
burn ${BRN}/05sys.brn
burn ${BRN}/06krn.brn

step "Шаг 4. После загрузки устройства, подождите 2 минуты и отключите устройство от силовой розетки и подключите снова. Нажмите кнопку ВКЛ однократно."
pause
